com.explodingpixels.widgets.plaf

## Enum ScrollBarOrientation

- java.lang.Object
- - java.lang.Enum<ScrollBarOrientation>
  - - com.explodingpixels.widgets.plaf.ScrollBarOrientation

All Implemented Interfaces:
  Serializable, Comparable<ScrollBarOrientation>

    public enum ScrollBarOrientation
    extends Enum<ScrollBarOrientation>

An orientation corresponding to a `JScrollBar`. The methods in this enumeration allow for orentation-agnostic calculations, which can be used when laying out a scroll bar. A scroll bar, regargless of it's orientation, has a length and thickness. These values correspond to different dimensions (x or y) depending on the orientation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HORIZONTAL`
`VERTICAL`

### Method Summary

Methods
`static ScrollBarOrientation` `getOrientation(int swingScrollBarOrientation)` Converts a Swing scroll bar orientation (either `SwingConstants.HORIZONTAL` or `SwingConstants.VERTICAL` to a `ScrollBarOrientation`.
`static ScrollBarOrientation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScrollBarOrientation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HORIZONTAL

    public static final ScrollBarOrientation HORIZONTAL

#### VERTICAL

    public static final ScrollBarOrientation VERTICAL

### Method Detail

#### values

    public static ScrollBarOrientation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScrollBarOrientation c : ScrollBarOrientation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScrollBarOrientation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getOrientation

    public static ScrollBarOrientation getOrientation(int swingScrollBarOrientation)

Converts a Swing scroll bar orientation (either `SwingConstants.HORIZONTAL` or `SwingConstants.VERTICAL` to a `ScrollBarOrientation`.

Parameters:
  `swingScrollBarOrientation` - the Swing scroll bar orientation, either `SwingConstants.HORIZONTAL` or `SwingConstants.VERTICAL`
Returns:
  the `ScrollBarOrientation` to the corresponding Swing scroll bar orientation.
Throws:
  `IllegalArgumentException` - if the given Swing scroll bar orientation is not valid.